com.hazelcast.concurrent.semaphore.operations

## Class SemaphoreBackupOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.spi.impl.AbstractNamedOperation
    - - com.hazelcast.concurrent.semaphore.operations.SemaphoreOperation
      - - com.hazelcast.concurrent.semaphore.operations.SemaphoreBackupOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, BackupOperation, NamedOperation, PartitionAwareOperation
  Direct Known Subclasses:
    AcquireBackupOperation, DrainBackupOperation, IncreaseBackupOperation, InitBackupOperation, ReduceBackupOperation, ReleaseBackupOperation, SemaphoreDetachMemberBackupOperation

      public abstract class SemaphoreBackupOperation
      extends SemaphoreOperation
      implements BackupOperation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `firstCaller`

    - ### Fields inherited from class com.hazelcast.concurrent.semaphore.operations.SemaphoreOperation

      `permitCount, response`

    - ### Fields inherited from class com.hazelcast.spi.impl.AbstractNamedOperation

      `name`

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SemaphoreBackupOperation()`
    `protected` | `SemaphoreBackupOperation(String name, int permitCount, String firstCaller)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readInternal(ObjectDataInput in)`
    `void` | `writeInternal(ObjectDataOutput out)`

    - ### Methods inherited from class com.hazelcast.concurrent.semaphore.operations.SemaphoreOperation

      `getFactoryId, getResponse, getSemaphoreContainer, getServiceName`

    - ### Methods inherited from class com.hazelcast.spi.impl.AbstractNamedOperation

      `getName, toString`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, run, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Field Detail

    - #### firstCaller

          protected String firstCaller

  - ### Constructor Detail

    - #### SemaphoreBackupOperation

          protected SemaphoreBackupOperation()

    - #### SemaphoreBackupOperation

          protected SemaphoreBackupOperation(String name,
                                             int permitCount,
                                             String firstCaller)

  - ### Method Detail

    - #### writeInternal

          public void writeInternal(ObjectDataOutput out)
                             throws IOException

      Overrides:
        `writeInternal` in class `SemaphoreOperation`
      Throws:
        `IOException`

    - #### readInternal

          public void readInternal(ObjectDataInput in)
                            throws IOException

      Overrides:
        `readInternal` in class `SemaphoreOperation`
      Throws:
        `IOException`

Copyright © 2019. All rights reserved.